from series.client.errors import SeriesClientException
from series.client.rest_api import ApiClient
import series.client.config

from tek import Configurations, ConfigClient, logger


class HTTPCLI(object):

    def dispatch_command(self, client, cmd_name, params):
        try:
            command = getattr(client, cmd_name)
        except AttributeError:
            logger.error('No such command: {}'.format(cmd_name))
        else:
            try:
                return command(*params)
            except TypeError as e:
                logger.error(e)

    def run(self):
        conf = ConfigClient('client')
        cmd_name = conf('cli_cmd')[0]
        params = conf('cli_params')
        client = ApiClient()
        try:
            return self.dispatch_command(client, cmd_name, params)
        except SeriesClientException as e:
            logger.error(e)

def http_cli():
    Configurations.parse_cli(positional=(('cli_cmd', 1), ('cli_params', '*')))
    HTTPCLI().run()

__all__ = ['HTTPCLI']
