from tek.config import (Configurations, PathConfigOption, ListConfigOption,
                        FileSizeConfigOption)

try:
    from series.config import reset_config as s_reset_config
    __has_parent__ = True
except ImportError:
    __has_parent__ = False

def reset_config(register_files=True, reset_parent=False):
    """ Initialize the config. """
    if __has_parent__ and reset_parent:
        s_reset_config(register_files=register_files, reset_parent=reset_parent)
    Configurations.register_config(
        'series',
        'client',
        rest_api_url='http://localhost',
        rest_api_port=8110,
        cli_cmd=None,
        cli_params=[],
    )
reset_config()
