import os

from tek.config import Configurations, PathConfigOption, ListConfigOption

try:
    from tek_utils.sharehoster.config import reset_config as sh_reset_config
    has_parent = True
except ImportError:
    has_parent = False


def reset_config(register_files=True, reset_parent=False):
    if has_parent and reset_parent:
        sh_reset_config(register_files=register_files,
                        reset_parent=reset_parent)
    series_config_dir = '/etc/series'
    series_config_files = (os.path.join(series_config_dir, 'series.conf'),
                           os.path.expanduser('~/.config/series.conf'))
    series_dir = os.path.join('/', 'home', 'media', 'video', 'series')
    temp_dir = os.path.join(series_dir, 'temp')
    if register_files:
        Configurations.register_files('series', *series_config_files)
    Configurations.register_config('series', 'series', series_dir=series_dir,
                                   temp_dir=temp_dir,
                                   db_path=PathConfigOption(),
                                   monitor=ListConfigOption())
reset_config()
