import os
import re
from tek.config import lazy_configurable
from tek.config.errors import ConfigError
from tek.process import process_output
from tek.tools import find
from tek import logger
def _is_etvdb(fpath):
    rex = re.compile('Gstaedtner')
    return find(rex.search, process_output([fpath, '-C']))
class ETVDBExecutable(object):
    fallback = '/usr/bin/etvdb_cli'
    def __init__(self, path):
        self._path = self._validate_executable(path)
    def _validate_executable(self, path):
        for fpath in [path, self.fallback]:
            if (os.path.isfile(fpath) and os.access(fpath, os.X_OK) and
                    _is_etvdb(fpath)):
                return fpath
        raise ConfigError('ETVDB executable not found!')
@lazy_configurable(etvdb=['path'])
class ETVDB(object):
    def __init__(self):
        self._executable = ETVDBExecutable(self._path)
__all__ = []
