''' configuration for library '''

from tek.config import (Configurations, PathListConfigOption, PathConfigOption)

try:
    from series.config import reset_config as s_reset_config
    __has_parent__ = True
except ImportError:
    __has_parent__ = False


# @Configurations.register('series', 'library', parents=['series.config'])
def reset_config(register_files=True, reset_parent=False):
    ''' Initialize the config. '''
    if __has_parent__ and reset_parent:
        s_reset_config(register_files=register_files,
                       reset_parent=reset_parent)
    path_template = '{name}/s{season}/{name}_{season:0>2}x{episode:0>2}.{ext}'
    Configurations.register_config(
        'series',
        'library',
        collection_paths=PathListConfigOption(),
        path_template=path_template,
        rest_api_port=8111,
        rest_api_host='0.0.0.0',
        db_path=PathConfigOption(),
        run_rest_api=True,
        mplayer_display=None,
        mplayer_path='mplayer2',
    )

__all__ = ['reset_config']
