import os
import glob

from tek.config import lazy_configurable
from tek.tools import first_valid

from series import is_video


@lazy_configurable(library=['path_template'])
class Collection(object):

    def __init__(self, path):
        self._path = path

    @property
    def video_files(self):
        for _, _, files in os.walk(self._path):
            for _file in files:
                if is_video(_file):
                    yield _file

    def episode_path(self, episode):
        relative_path = self._path_template.format(
            name=episode.series.canonical_name,
            season=episode.season.number,
            episode=episode.number,
            ext='*',
        )
        return first_valid(glob.glob(os.path.join(self._path, relative_path)))

__all__ = ['Collection']
