from tek.config import Configurations, ListConfigOption

try:
    from series.config import reset_config as s_reset_config
    has_parent = True
except ImportError:
    has_parent = False

def reset_config(register_files=True, reset_parent=False):
    if has_parent and reset_parent:
        s_reset_config(register_files=register_files, reset_parent=reset_parent)
    Configurations.register_config('series', 'store_episode',
                                   episodes=ListConfigOption(),
                                   season_regex='s(\d+)', pretend=False,
                                   remove_prefixes=ListConfigOption(),
                                   series_name=None, season_name=None,
                                   match_threshold=0., overwrite=False)
reset_config()
