import re


def domain(url):
    """ Extract the domain name out of url.
    """
    domain_match = re.match(r'https?://(?:www\.)?([^/]+)\.[^/]+', url)
    return domain_match.group(1) if domain_match else ''


def is_torrent(url):
    """ Indicate whether url points to a torrent file or is a magnet
    link.
    """
    return (isinstance(url, str) and (url.endswith('torrent') or
                                      url.startswith('magnet')))

__all__ = ['domain', 'is_torrent']
