from tek.test import temp_dir, create_temp_file
from tek import Configurations


def _filename(name, season, episode):
    return '{}_{}x{}.mkv'.format(name, season, episode)


def create_episodes(collection_names, filenames):
    base = temp_dir('library', 'collections')
    collections = [temp_dir(base, name) for name in collection_names]
    templ = '{name}/{season}/{name}_{season}x{episode}.{ext}'
    Configurations.override('library', collection_paths=collections,
                            path_template=templ)
    episodes = [create_temp_file(collections[i], name, str(season),
                                 _filename(name, season, episode))
                for name, season, episode, i in filenames]
    return collections, episodes

__all__ = ['create_episodes']
