from sqlalchemy.pool import StaticPool
from sqlpharmacy.core import Database


class _DBTestMixin(object):

    def setup(self, *a, **kw):
        super(_DBTestMixin, self).setup(*a, **kw)
        from series.daemon.model.release import ReleaseMonitor
        from tests._fixtures.daemon.monitors import monitors
        Database.register()
        self._db = Database('sqlite://',
                            connect_args={'check_same_thread': False},
                            poolclass=StaticPool)
        self._db.create_tables()
        self._db.load_data(monitors())
        self._session = self._db.session
        self._session.commit()
        self._commit = lambda block=True: self._session.commit()
        _monitors = self._session.query(ReleaseMonitor).all()
        self._queue = sorted(_monitors, key=lambda m: m.index)

    def teardown(self):
        self._session.remove()
