import sure
from flexmock import flexmock, flexmock_teardown

from tek import Configurations

from tek_utils.sharehoster import DownloaderFactory
from series.daemon.model.link import Link
from tests import Spec


class Link_(Spec, ):

    def setup(self, *a, **kw):
        url = 'http://fake.com/file1a'
        self._link = Link(url)

    def teardown(self):
        flexmock_teardown()

    def invalid_host(self):
        self._link.good.should_not.be.ok
        msg = 'Invalid link: dead (invalid hoster) (http://fake.com/file1a)'
        self._link.status.should.equal(msg)

    def good(self):
        Configurations.override('daemon', min_size=100)
        fake_downloader = flexmock(file_size=10000000, file_path='foo.tar')
        (flexmock(DownloaderFactory)
            .should_receive('__call__')
            .and_return(fake_downloader))
        self._link.good.should.be.ok
        self._link.status.should.equal('valid link (http://fake.com/file1a)')

    def too_small(self):
        Configurations.override('daemon', min_size=100)
        fake_downloader = flexmock(file_size=10, file_path='foo.tar',
                                   file_size_str='10 B')
        (flexmock(DownloaderFactory)
            .should_receive('__call__')
            .and_return(fake_downloader))
        self._link.good.should_not.be.ok
        status = 'Invalid link: too small (10 B) (http://fake.com/file1a)'
        self._link.status.should.equal(status)

__all__ = ['Link_']
