import sure
from flexmock import flexmock, flexmock_teardown

from tek import Configurations, logger

from tek_utils import sharehoster
from tek_utils.sharehoster.common import Downloader

from series.daemon.model.link import Link
from tests.daemon.db import _DBTestMixin
from tests import Spec


class ReleaseMonitor_(_DBTestMixin, Spec, ):

    def setup(self, *a, **kw):
        (flexmock(sharehoster.DownloaderFactory)
            .should_receive('__call__')
            .replace_with(Downloader))
        (flexmock(Link)
            .should_receive('invalid')
            .and_return(False))
        Configurations.override('common', link_checker_url=None)
        super(ReleaseMonitor_, self).setup(*a, **kw)

    def teardown(self):
        flexmock_teardown()
        super(ReleaseMonitor_, self).teardown()

    def finds_a_valid_link(self):
        release = self._queue[0]
        release.link.good.should.be.ok

    def prioritizes_preferred_hosters(self):
        Configurations.override('daemon', prefer_hosters=['prefer'])
        release = self._queue[0]
        release.add_link('http://prefer.bam/file')
        release.add_link('http://notprefer.blob/file')
        release.link.domain.should.equal('prefer')

__all__ = ['ReleaseMonitor_']
