__copyright__ = """ Copyright (c) 2013 Torsten Schmits

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>.
"""

from sqlalchemy.pool import StaticPool
from series.library.db import Database


class _DBTestMixin(object):

    def setup(self, *a, **kw):
        super(_DBTestMixin, self).setup(*a, **kw)
        from series.library.model.episode import Episode
        # from tests._fixtures.libraries.episodes import episodes
        self._db = Database('sqlite://', poolclass=StaticPool)
        # self._db.load_data(episodes())
        self._session = self._db.session
        self._session.commit()
        self._commit = lambda block=True: self._session.commit()
        # _episodes = self._session.query(Episode).all()
        # self._episodes = sorted(_episodes, key=lambda m: m.index)

    def teardown(self):
        self._session.remove()
